Bug 280841 - gdmXnest and gdmXnestchooser don't work
gdmXnest and gdmXnestchooser don't work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
7
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-06 12:00 EDT by P Jones
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:34:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description P Jones 2007-09-06 12:00:09 EDT
Description of problem:
gdmXnest and gdmXnestchooser don't work; They call Xnest and Xnest produces an
error. 

Version-Release number of selected component (if applicable):
gdm-2.18.4-2.fc7

How reproducible:
Very

Steps to Reproduce:
1. run gdmXnest or gdmXnestchooser.

3.
  
Actual results:
Xnest usage error. 

Expected results:
Running Xnest session, with login prompt.

Additional info:
Comment 1 Bastien Nocera 2007-11-14 08:49:56 EST
$ strace -ofoo -v gdmflexiserver -n
$ grep -i xnest foo 
sendto(5, "FLEXI_XNEST :0 500 aac1966a15510"..., 68, MSG_NOSIGNAL, NULL, 0) = 68

Looks like a define isn't getting substituted.
Comment 2 Ray Strode [halfline] 2007-11-14 10:00:50 EST
I think it does send the literal string over the wire...

P Jones, would you mind attaching /etc/gdm/custom.conf?
Comment 3 Bastien Nocera 2007-12-17 10:54:17 EST
I can reproduce this on my system, the custom.conf looks hopelessly empty:

$ cat /etc/gdm/custom.conf | grep -v ^# | grep -v "^$"
[daemon]
[security]
[xdmcp]
[gui]
[greeter]
GlobalFaceDir=/usr/share/pixmaps/
[chooser]
[debug]
[servers]
Comment 4 Ray Strode [halfline] 2007-12-17 11:26:54 EST
okay that's fine,  empty entries get pulled from /usr/share/gdm/defaults.conf


What's the output of 

grep Xnest /usr/share/gdm/defaults.conf ?

It could be we're setting Xnest wrong by default (I have some vague notion of
running across this bug before.  It could be I fixed it in rawhide, but not F-7) 
Comment 5 Bastien Nocera 2007-12-17 12:29:53 EST
Never mind, it seems to work for me in gdm-2.20.1-5.fc8

P Jones?
Comment 6 Brian Powell 2008-04-25 00:34:38 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.